org.eclipse.viatra.query.patternlanguage.emf.ui.types

## Class EMFPatternLanguageTypeScopeProvider

- java.lang.Object
- - org.eclipse.xtext.common.types.xtext.AbstractTypeScopeProvider
  - - org.eclipse.viatra.query.patternlanguage.emf.ui.types.EMFPatternLanguageTypeScopeProvider

- All Implemented Interfaces:
    org.eclipse.xtext.scoping.IGlobalScopeProvider

      public class EMFPatternLanguageTypeScopeProvider
      extends org.eclipse.xtext.common.types.xtext.AbstractTypeScopeProvider

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EMFPatternLanguageTypeScopeProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.xtext.common.types.xtext.AbstractConstructorScope` | `createConstructorScope(org.eclipse.xtext.common.types.access.IJvmTypeProvider typeProvider, com.google.common.base.Predicate<org.eclipse.xtext.resource.IEObjectDescription> filter)`
    `org.eclipse.xtext.common.types.xtext.AbstractTypeScope` | `createTypeScope(org.eclipse.xtext.common.types.access.IJvmTypeProvider typeProvider, com.google.common.base.Predicate<org.eclipse.xtext.resource.IEObjectDescription> filter)`
    `org.eclipse.xtext.common.types.access.IJvmTypeProvider.Factory` | `getTypeProviderFactory()`

    - ### Methods inherited from class org.eclipse.xtext.common.types.xtext.AbstractTypeScopeProvider

      `createMemberScope, getScope, getScope, getTypeProvider`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EMFPatternLanguageTypeScopeProvider

          public EMFPatternLanguageTypeScopeProvider()

  - ### Method Detail

    - #### createTypeScope

          public org.eclipse.xtext.common.types.xtext.AbstractTypeScope createTypeScope(org.eclipse.xtext.common.types.access.IJvmTypeProvider typeProvider,
                                                                                        com.google.common.base.Predicate<org.eclipse.xtext.resource.IEObjectDescription> filter)

      Specified by:
        `createTypeScope` in class `org.eclipse.xtext.common.types.xtext.AbstractTypeScopeProvider`

    - #### createConstructorScope

          public org.eclipse.xtext.common.types.xtext.AbstractConstructorScope createConstructorScope(org.eclipse.xtext.common.types.access.IJvmTypeProvider typeProvider,
                                                                                                      com.google.common.base.Predicate<org.eclipse.xtext.resource.IEObjectDescription> filter)

      Specified by:
        `createConstructorScope` in class `org.eclipse.xtext.common.types.xtext.AbstractTypeScopeProvider`

    - #### getTypeProviderFactory

          public org.eclipse.xtext.common.types.access.IJvmTypeProvider.Factory getTypeProviderFactory()

      Specified by:
        `getTypeProviderFactory` in class `org.eclipse.xtext.common.types.xtext.AbstractTypeScopeProvider`